Create Superadmin Token
POST
/api/auth/superadmin/token
const url = 'https://example.com/api/auth/superadmin/token';const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/auth/superadmin/token \ --header 'Authorization: Bearer <token>'Exchange a valid token (deal-scoped or deal-less) for a deal-less superadmin token.
Requires an existing valid JWT where the user has is_superadmin=True. Returns a new JWT with deal_id=None, suitable for /api/superadmin/* endpoints.
Authorizations
Section titled “Authorizations ”Responses
Section titled “ Responses ”Successful Response
Media type application/json
RefreshTokenResponse
Response from token refresh / reissue / superadmin-token endpoints.
object
token
required
Token
string
expires_in_minutes
required
Expires In Minutes
integer
Example generated
{ "token": "example", "expires_in_minutes": 1}